Bug 1288334 - [abrt] nemo: g_type_check_instance_cast(): nemo killed by SIGSEGV
[abrt] nemo: g_type_check_instance_cast(): nemo killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nemo (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:985113e5d3e0db68294e8be4940...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 23:31 EST by wilca014
Modified: 2016-12-20 11:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:37:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.41 KB, text/plain)
2015-12-03 23:31 EST, wilca014
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-03 23:31 EST, wilca014
no flags Details
File: core_backtrace (5.10 KB, text/plain)
2015-12-03 23:31 EST, wilca014
no flags Details
File: dso_list (10.25 KB, text/plain)
2015-12-03 23:31 EST, wilca014
no flags Details
File: environ (1.85 KB, text/plain)
2015-12-03 23:31 EST, wilca014
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-03 23:31 EST, wilca014
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-03 23:31 EST, wilca014
no flags Details
File: maps (51.83 KB, text/plain)
2015-12-03 23:31 EST, wilca014
no flags Details
File: mountinfo (3.27 KB, text/plain)
2015-12-03 23:31 EST, wilca014
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-03 23:31 EST, wilca014
no flags Details
File: open_fds (3.17 KB, text/plain)
2015-12-03 23:31 EST, wilca014
no flags Details
File: proc_pid_status (1009 bytes, text/plain)
2015-12-03 23:31 EST, wilca014
no flags Details
File: var_log_messages (294 bytes, text/plain)
2015-12-03 23:31 EST, wilca014
no flags Details

  None (edit)
Description wilca014 2015-12-03 23:31:08 EST
Description of problem:
Was trying to rename a file in nemo and all of a sudden it just crashed.

Version-Release number of selected component:
nemo-2.8.5-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        nemo -n
crash_function: g_type_check_instance_cast
executable:     /usr/bin/nemo
global_pid:     1993
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_type_check_instance_cast at gtype.c:4064
 #1 on_query_menu_tooltip at nemo-view.c:6697
 #2 _gtk_marshal_BOOLEAN__INT_INT_BOOLEAN_OBJECT at gtkmarshalers.c:1809
 #6 g_signal_emit_by_name at gsignal.c:3479
 #7 gtk_tooltip_run_requery at gtktooltip.c:949
 #8 _gtk_tooltip_handle_event at gtktooltip.c:1627
 #9 gtk_main_do_event at gtkmain.c:1887
 #14 g_main_context_iteration at gmain.c:3901
 #15 g_application_run at gapplication.c:2311
Comment 1 wilca014 2015-12-03 23:31:14 EST
Created attachment 1102089 [details]
File: backtrace
Comment 2 wilca014 2015-12-03 23:31:15 EST
Created attachment 1102090 [details]
File: cgroup
Comment 3 wilca014 2015-12-03 23:31:17 EST
Created attachment 1102091 [details]
File: core_backtrace
Comment 4 wilca014 2015-12-03 23:31:19 EST
Created attachment 1102092 [details]
File: dso_list
Comment 5 wilca014 2015-12-03 23:31:20 EST
Created attachment 1102093 [details]
File: environ
Comment 6 wilca014 2015-12-03 23:31:22 EST
Created attachment 1102094 [details]
File: exploitable
Comment 7 wilca014 2015-12-03 23:31:23 EST
Created attachment 1102095 [details]
File: limits
Comment 8 wilca014 2015-12-03 23:31:26 EST
Created attachment 1102096 [details]
File: maps
Comment 9 wilca014 2015-12-03 23:31:27 EST
Created attachment 1102097 [details]
File: mountinfo
Comment 10 wilca014 2015-12-03 23:31:29 EST
Created attachment 1102098 [details]
File: namespaces
Comment 11 wilca014 2015-12-03 23:31:30 EST
Created attachment 1102099 [details]
File: open_fds
Comment 12 wilca014 2015-12-03 23:31:32 EST
Created attachment 1102100 [details]
File: proc_pid_status
Comment 13 wilca014 2015-12-03 23:31:33 EST
Created attachment 1102101 [details]
File: var_log_messages
Comment 14 Wendell Fields 2015-12-10 21:53:23 EST
Another user experienced a similar problem:

I had 2 Nemo windows open and was copying picture files from an SD card to a secondary internal drive when they just disappeared.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        nemo -n
crash_function: g_type_check_instance_cast
executable:     /usr/bin/nemo
global_pid:     1861
kernel:         4.2.6-301.fc23.x86_64
package:        nemo-2.8.5-1.fc23
reason:         nemo killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Mario Blättermann 2016-03-20 17:11:13 EDT
I had similar problems which have been reported via ABRT. The current Nemo version in f23 is 2.8.6. This version works for me.
Comment 16 Fedora End Of Life 2016-11-24 08:57:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:37:01 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.